extends Node2D

# Notice that each Material is unique for Layer because they use unique textures

func _ready():
  pass

var reset=false

func _process(delta):
  var iResolution=get_viewport().size
  var iMouse=Vector3()
  iMouse.x=get_viewport().get_mouse_position().x
  iMouse.y=get_viewport().get_mouse_position().y
  iMouse.z=0
  if(Input.is_mouse_button_pressed(BUTTON_LEFT)):
    iMouse.z=1
  if(Input.is_mouse_button_pressed(BUTTON_RIGHT)):
    iMouse.z=-1
  for a in range(get_child_count()):
    get_child(a).process_material.set("shader_param/iResolution",iResolution)
    get_child(a).process_material.set("shader_param/iMouse",iMouse)
    get_child(a).process_material.set("shader_param/reset",reset)
  reset=false



func _on_reset_pressed():
  reset=true
